<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
LaunchApp Method (IEdmSearch7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearch7 Interface : LaunchApp Method (IEdmSearch7)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

bsDefault
  Name of a search form; name of a search favorite if lEdmLaunchSearchFlags contains EdmLaunchSearchFlags.Elsf_DefaultIsAFavorite

oStartFolderPathOrID
  Path or ID of the folder in which the search tool should start looking

lEdmLaunchSearchFlags
  Combination of EdmLaunchSearchFlags bits

Starts the search tool application.

# Syntax

Visual Basic |
--- | ---

    Sub LaunchApp( _
       ByVal hParentWnd As System.Integer, _
       Optional ByVal bsDefault As System.String, _
       Optional ByVal oStartFolderPathOrID As System.Object, _
       Optional ByVal lEdmLaunchSearchFlags As System.Integer _
    )

C# |
--- | ---

    void LaunchApp(
       System.int hParentWnd,
       System.string bsDefault,
       System.object oStartFolderPathOrID,
       System.int lEdmLaunchSearchFlags
    )

C++/CLI |
--- | ---

    void LaunchApp(
    &   System.int hParentWnd,
    &   System.String^ bsDefault,
    &   System.Object^ oStartFolderPathOrID,
    &   System.int lEdmLaunchSearchFlags
    )

#### Parameters

hParentWnd
  Parent window handle
bsDefault
  Name of a search form; name of a search favorite if lEdmLaunchSearchFlags contains EdmLaunchSearchFlags.Elsf_DefaultIsAFavorite
oStartFolderPathOrID
  Path or ID of the folder in which the search tool should start looking
lEdmLaunchSearchFlags
  Combination of EdmLaunchSearchFlags bits

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmSearch7 Interface
IEdmSearch7 Members

# Availability

SOLIDWORKS PDM Professional 2009